GET
/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outboundQuery a shipping location
# 01
Summary
Available buyer market: Korea, Taiwan You can query the list of shipping locations registered. Or you can query shipping locations registered using the name or code of the shipping location. Parameter used to query info. of shipping locations 1.
# 02
Details
Available buyer market: Korea, Taiwan
You can query the list of shipping locations registered.
Or you can query shipping locations registered using the name or code of the shipping location.
**Parameter used to query info. of shipping locations**
1. To query the list of all shipping locations registered: Input pageNum and pageSize only
**Parameter used to query info. of shipping locations**
1. To query the list of all shipping locations registered: Input pageNum and pageSize only
2. To query only the desired shipping locations: Input placeNames or placeCodes
Path
GET/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound
Example Endpoint
https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound?pageSize=50&pageNum=1
https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound?placeNames=상품출고지1
Request Parameters
Query String Parameter
| Name | Type | Description |
|---|---|---|
| placeCodes | Long |
Shipping location code
A value exposed as a Response message when creating a shipping location
Same as outboundShippingPlaceCode
|
| placeNames | String |
Shipping location name
Same as shippingPlaceName
|
| pageNum | Integer |
Query page
Min = 1, Max: Value of totalPages returned
※ Make sure to input to query a list
|
| pageSize | Integer |
Maximum number of calls per page
Default=10, Max=50
※ If not input, it is processed with the default value 10 |
Request Example
not require body
Response Message
| Name | Type | Description | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| content | Array |
Shipping location list data
|
||||||||||||
| outboundShippingPlaceCode | Long |
Shipping location code
|
||||||||||||
| shippingPlaceName | String |
Shipping location name
Input up to 50 characters
|
||||||||||||
| placeAddresses | Array |
Shipping location address
|
||||||||||||
| addressType | String |
Address type
JIBUN, ROADNAME, OVERSEA |
||||||||||||
| countryCode | String |
Country code, 'KR' for domestic address. Valid length: 2
|
||||||||||||
| companyContactNumber | String |
Phone number
|
||||||||||||
| phoneNumber2 | String |
Alternate phone number
(Format: Same as the phone number) |
||||||||||||
| returnZipCode | String |
Zipcode: number
5~6 digits
|
||||||||||||
| returnAddress | String |
Address
Up to 150 characters
|
||||||||||||
| returnAddressDetail | String |
Detailed address
Up to 200 characters
|
||||||||||||
| remoteInfos | Array |
Shipping info for remote areas
|
||||||||||||
| remoteInfoId | Number |
Shipping info ID for remote areas
|
||||||||||||
| deliveryCode | String |
Courier code
Shipping location creation API- See courier code
|
||||||||||||
| jejuFee | Number |
Shipping fee for Jeju island (won)
|
||||||||||||
| notJeju | Number |
Shipping fee for areas other than Jeju Island
|
||||||||||||
| usable | Boolean |
Whether the shipping info for remote areas is valid or not
true or false
|
||||||||||||
| createDate | Object |
Date of creation
YYYY/MM/DD
|
||||||||||||
| usable | Boolean |
Whether it is usable
true or false
|
||||||||||||
| pagination | Object |
Paging
|
||||||||||||
| currentPage | Number |
Current page
Ex) 1
|
||||||||||||
| totalPages | Number |
Count total pages
Ex) 1000
|
||||||||||||
| totalElements | Number |
Count total data
Ex) 1000
|
||||||||||||
| countPerPage | Number |
Count total data per page
Ex) 10, 20, 30
|
||||||||||||
Response Example
{
"content": [
{
"outboundShippingPlaceCode": 1111222,
"shippingPlaceName": "상품출고지1",
"createDate": "2019/06/24",
"placeAddresses": [
{
"addressType": "JIBUN",
"countryCode": "KR",
"companyContactNumber": "02-1234-5678",
"phoneNumber2": "031-1234-5678",
"returnZipCode": "05510",
"returnAddress": "서울특별시 송파구 신천동",
"returnAddressDetail": "7-30, Tower출고지"
}
],
"remoteInfos": [
{
"remoteInfoId": 581487,
"deliveryCode": "DIRECT",
"jeju": 5000,
"notJeju": 2500,
"usable": true
}
],
"usable": true
}
],
"pagination": {
"currentPage": 1,
"countPerPage": 1,
"totalPages": 1,
"totalElements": 1
}
}
Error Spec
|
HTTP status code (Error type) |
Error message | Solution |
|---|---|---|
|
400 (Request parameter check) |
(pageNum & pageSize) or placeCodes or placeNames must be provided to call this API |
Check if (pageNum & pageSize) or the value of placeCodes, placeNames was entered. |
URL API Name
OUTBOUND_SHIPPING_PLACE